%m-file anova
%Analysis of Variance of difference between predicted
%and observed litter values
%column 1 is observed, column 2 is predicted,
%rows are seasons: Spring Summer Fall Winter
Season = [1; 2; 3; 4]
x = [1330.8 1330.8
     1162.0 1217.8
     1481.0 1432.8
     1605.5 1567.8]

 observed = [x(:,1)]
 predicted = [x(:,2)]
 group = {'0BSERVED', 'PREDICTED'};
 plot(Season,observed,'r--o')
 hold on
 plot(Season,predicted,'b-+')
 hold off
 set(gca,'XTick',1:1:4);
 set(gca,'XTickLabel',{'Spring','Summer','Fall','Winter'})
 ylabel ('Litter Biomass, g/m^2')
 legend('observed','predicted',0)
 [p,tbl,stats] = anova2(x,1)