%m-file t_test
%Program to test the significance of the difference between
% two means using the students t test
day = [1 2 3 4 5 6 7 8 9 10];
obs = [218 206 139 127 113 76 56 58 47 33];
pred = [241 196 134 137 74 78 59 55 59 51];
plot(day,pred,'ro',day,obs,'b+')
xlabel ('Day of Season')
ylabel ('Deer Kill')
legend('Predicted','Observed')

D = obs - pred
Dbar = mean(D)
variance = var(D)
stddev = std(D)
[h,sig,ci,stats] = ttest(D,0,0.05,0)

[p,h,stats] = signrank(obs,pred,0.05) 
