%m-file sensitivity
%program to estimate sensitivity to model parameters
%saved using
% Save all variables from the workspace to testa.mat:
%save C:\MATLAB\testa
close all

load C:\MATLAB\testa
load C:\MATLAB\testn
 
BW = 200;
BWa = 1.5*BW;

%sensitivity to 
%S = ((MNAMTALa-MNAMTALn)./MNAMTALn)./((BWa-BW)./BW);
SAL = ((MNAMTALa-MNAMTALn)./MNAMTALn)./((BWa-BW)./BW);
SAR = ((MNAMTARa-MNAMTARn)./MNAMTARn)./((BWa-BW)./BW);
SLU = ((MNAMTLUa-MNAMTLUn)./MNAMTLUn)./((BWa-BW)./BW);
SV = ((MNAMTVa-MNAMTVn)./MNAMTVn)./((BWa-BW)./BW);
SLI = ((MNAMTLIa-MNAMTLIn)./MNAMTLIn)./((BWa-BW)./BW);
SK = ((MNAMTKa-MNAMTKn)./MNAMTKn)./((BWa-BW)./BW);
SF = ((MNAMTFa-MNAMTFn)./MNAMTFn)./((BWa-BW)./BW);
SO = ((MNAMTOa-MNAMTOn)./MNAMTOn)./((BWa-BW)./BW);
SS = ((MNAMTSa-MNAMTSn)./MNAMTSn)./((BWa-BW)./BW);
plot(SAL)
figure
plot(SAR)
figure
plot(SLU)
figure
plot(SV)
figure
plot(SLI)
figure
plot(SK)
figure
plot(SF)
figure
plot(SO)
figure
plot(SS)
xlabel('Minutes')
ylabel('Sensitivity')
hold on
