%m-file sensitivity
%program to estimate sensitivity to model parameters
%saved using
% Save all variables from the workspace to testa.mat:
%save C:\MATLAB\testa
close all

load C:\MATLAB\testa
load C:\MATLAB\testn
 
HR = 90;
HRa = 1.5*HR;

%sensitivity to 
%S = ((MNAMTALa-MNAMTALn)./MNAMTALn)./((BWa-BW)./BW);
SAL = ((MNAMTALa-MNAMTALn)./MNAMTALn)./((HRa-HR)./HR);
SAR = ((MNAMTARa-MNAMTARn)./MNAMTARn)./((HRa-HR)./HR);
SLU = ((MNAMTLUa-MNAMTLUn)./MNAMTLUn)./((HRa-HR)./HR);
SV = ((MNAMTVa-MNAMTVn)./MNAMTVn)./((HRa-HR)./HR);
SLI = ((MNAMTLIa-MNAMTLIn)./MNAMTLIn)./((HRa-HR)./HR);
SK = ((MNAMTKa-MNAMTKn)./MNAMTKn)./((HRa-HR)./HR);
SF = ((MNAMTFa-MNAMTFn)./MNAMTFn)./((HRa-HR)./HR);
SO = ((MNAMTOa-MNAMTOn)./MNAMTOn)./((HRa-HR)./HR);
SS = ((MNAMTSa-MNAMTSn)./MNAMTSn)./((HRa-HR)./HR);
plot(SAL)
figure
plot(SAR)
figure
plot(SLU)
figure
plot(SV)
figure
plot(SLI)
figure
plot(SK)
figure
plot(SF)
figure
plot(SO)
figure
plot(SS)
xlabel('Days')
ylabel('Sensitivity')
hold on
