%m-file sensitivity
%program to estimate sensitivity to model parameters
%saved using
% Save all variables from the workspace to testa.mat:
%save C:\MATLAB\testa
close all

load C:\MATLAB\testa
load C:\MATLAB\testn
 
KMLU = 1.536e-7;
KMLUa = 1.5*KMLU;

%sensitivity to 
%S = ((MNAMTALa-MNAMTALn)./MNAMTALn)./((KMLUa-KMLU)./KMLU);
SAL = ((MNAMTALa-MNAMTALn)./MNAMTALn)./((KMLUa-KMLU)./KMLU);
SAR = ((MNAMTARa-MNAMTARn)./MNAMTARn)./((KMLUa-KMLU)./KMLU);
SLU = ((MNAMTLUa-MNAMTLUn)./MNAMTLUn)./((KMLUa-KMLU)./KMLU);
SV = ((MNAMTVa-MNAMTVn)./MNAMTVn)./((KMLUa-KMLU)./KMLU);
SLI = ((MNAMTLIa-MNAMTLIn)./MNAMTLIn)./((KMLUa-KMLU)./KMLU);
SK = ((MNAMTKa-MNAMTKn)./MNAMTKn)./((KMLUa-KMLU)./KMLU);
SF = ((MNAMTFa-MNAMTFn)./MNAMTFn)./((KMLUa-KMLU)./KMLU);
SO = ((MNAMTOa-MNAMTOn)./MNAMTOn)./((KMLUa-KMLU)./KMLU);
SS = ((MNAMTSa-MNAMTSn)./MNAMTSn)./((KMLUa-KMLU)./KMLU);

subplot(3,3,1)
plot(SAL)
subplot(3,3,2)
plot(SAR)
subplot(3,3,3)
plot(SLU)
subplot(3,3,4)
plot(SV)
subplot(3,3,5)
plot(SLI)
subplot(3,3,6)
plot(SK)
subplot(3,3,7)
plot(SF)
subplot(3,3,8)
plot(SO)
subplot(3,3,9)
plot(SS)
xlabel('Minutes')
ylabel('Sensitivity')
hold on
