%m-file sensitivity
%program to estimate sensitivity to model parameters
%saved using
% Save all variables from the workspace to testa.mat:
%save C:\MATLAB\testa
close all

load C:\MATLAB\testa
load C:\MATLAB\testn
 
PERM = 0.54;
PERMa = 1.5*PERM;

%sensitivity to 
%S = ((MNAMTALa-MNAMTALn)./MNAMTALn)./((PERMa-PERM)./PERM);
SAL = ((MNAMTALa-MNAMTALn)./MNAMTALn)./((PERMa-PERM)./PERM);
SAR = ((MNAMTARa-MNAMTARn)./MNAMTARn)./((PERMa-PERM)./PERM);
SLU = ((MNAMTLUa-MNAMTLUn)./MNAMTLUn)./((PERMa-PERM)./PERM);
SV = ((MNAMTVa-MNAMTVn)./MNAMTVn)./((PERMa-PERM)./PERM);
SLI = ((MNAMTLIa-MNAMTLIn)./MNAMTLIn)./((PERMa-PERM)./PERM);
SK = ((MNAMTKa-MNAMTKn)./MNAMTKn)./((PERMa-PERM)./PERM);
SF = ((MNAMTFa-MNAMTFn)./MNAMTFn)./((PERMa-PERM)./PERM);
SO = ((MNAMTOa-MNAMTOn)./MNAMTOn)./((PERMa-PERM)./PERM);
SS = ((MNAMTSa-MNAMTSn)./MNAMTSn)./((PERMa-PERM)./PERM);
plot(SAL)
figure
plot(SAR)
figure
plot(SLU)
figure
plot(SV)
figure
plot(SLI)
figure
plot(SK)
figure
plot(SF)
figure
plot(SO)
figure
plot(SS)
xlabel('Minutes')
ylabel('Sensitivity')
hold on
