%m-file sensitivity
%program to estimate sensitivity to model parameters
%saved using
% Save all variables from the workspace to testa.mat:
%save C:\MATLAB\testa
close all

load C:\MATLAB\testa
load C:\MATLAB\testn
 
f = 3.9;
fa = 1.5*f;

%sensitivity to 
%S = ((MNAMTALa-MNAMTALn)./MNAMTALn)./((fa-f)./f);
SAL = ((MNAMTALa-MNAMTALn)./MNAMTALn)./((fa-f)./f);
SAR = ((MNAMTARa-MNAMTARn)./MNAMTARn)./((fa-f)./f);
SLU = ((MNAMTLUa-MNAMTLUn)./MNAMTLUn)./((fa-f)./f);
SV = ((MNAMTVa-MNAMTVn)./MNAMTVn)./((fa-f)./f);
SLI = ((MNAMTLIa-MNAMTLIn)./MNAMTLIn)./((fa-f)./f);
SK = ((MNAMTKa-MNAMTKn)./MNAMTKn)./((fa-f)./f);
SF = ((MNAMTFa-MNAMTFn)./MNAMTFn)./((fa-f)./f);
SO = ((MNAMTOa-MNAMTOn)./MNAMTOn)./((fa-f)./f);
SS = ((MNAMTSa-MNAMTSn)./MNAMTSn)./((fa-f)./f);
plot(SAL)
figure
plot(SAR)
figure
plot(SLU)
figure
plot(SV)
figure
plot(SLI)
figure
plot(SK)
figure
plot(SF)
figure
plot(SO)
figure
plot(SS)
xlabel('Minutes')
ylabel('Sensitivity')
hold on
