%function netuptake
%program to model net uptake as a function of temperature
function ydot=netuptake(~,y)
a = 15;
b = 25;
c = 20;
temp = 25;
%DeltaThat39 = 11.4388*exp(-1.1877*t.^0.7346);
%DeltaThat18 = 11.4387*exp(-0.6730*t.^0.7345);
%temp = 20 + DeltaThat39;

p1( temp <= c ) = 2454.8 + 100.1*temp( temp <= c );
p1( temp > c ) = -5691.4 + 507.4*temp( temp > c );

p2 = 0.07570 - 0.002217*temp;

p3( temp <= c ) = -0.2 + 0.02*temp( temp <= c );
p3( temp > c ) = 0.6 - 0.02*temp( temp > c );

%p2 = 0.01950;      %0.4679/24  %25 degrees    %elimination rate constant
%p2 = 0.03292;      %0.7900/24  %20 degrees
%p2 = 0.04167;      %0.6616/24  %15 degreed
%p3 = 0.09761;         %uptake rate constant 25 degrees
%p3 = 0.20058;         %20 degrees
%p3 = 0.10203;         %15 degrees

ydot=p3*(p1-y) - p2*y;