%Data are elimination rate constant and temperature;
elim = [0.04167 0.03292 0.0195]';
temp2 = [15 20 25]';
temp = [1  15
        1  20
        1  25];
plot(temp2,elim,'k.','MarkerSize',25)
xlabel ('Temperature')
ylabel ('Ymax')
[B,BINT,R,RINT,STATS] = regress(elim,temp,.05)

newx = 0:.1:25;
yhat = B(1) + B(2)*newx;
figure
plot(temp2,elim,'k.','MarkerSize',25)
hold on
axis([15 25 .015 .045])
axis square
plot(newx,yhat,'k-','LineWidth',2)
xlabel ('Temperature ^{\o}C','fontsize',14 )
ylabel ('Elimination Rate Constant, P2','fontsize',14)
hold off