% m-file triangulartest
% program to plot triangular distribution
x = (15:0.1:25);
a = 15;
b = 25;
c = 20;

f = zeros( size(x) );

f( x <= c ) = -0.2+0.02*x( x <= c );
f( x > c ) = 0.6 - 0.02*x( x > c );

plot( x, f , 'k-','LineWidth',2);
hold on
plot(15,0.1020,'k.','MarkerSize',25)
plot(20,0.2006,'k.','MarkerSize',25)
plot(25,0.0976,'k.','MarkerSize',25)
xlabel('Temperature ^{\o}C','fontsize',14)
ylabel('Uptake Rate Constant, P3','fontsize',14)
axis square