% m-file bernoulli
% program to generate sum of Bernoulli random variates
% and plots a histogram of the sums

p=.05;      % probability of success in a single trial
n=10;       % number of trials in a sum
m=1000;     % number of sums calculated
%s = RandStream.create('mt19937ar','seed',sum(100*clock));
%          RandStream.setDefaultStream(s);
% generate series of Bernoulli trials
for j = 1:m
   for i = 1:n
       U(i)=rand;       % get uniform random variates
       if   U(i)<p
            X(i)=1;
       else X(i)=0;
       end
       %Z(i)=sum(X);
   end
   Y(j)=sum(X);         % calculate sum of Bernoulli trials
                        % to get binomial random variable
end

bins=[0 1 2 3 4 5];
hist(Y,bins,1.5)            % plot histogram of binomial distribution
xlabel('X')
ylabel('Frequency')
title('Binomial Distribution')