% m-file normal
% program to generate normal pdf and cdf distributions

mu = 0.0;
sigma = 1.0;
%sigma = 1.5;
x = -4:0.001:4; % Outcomes
y = normpdf(x,mu,sigma); % Probability density vector
subplot(1,2,1)
plot(x,y,'b-','Linewidth',2.0) % Visualize the probability distribution

hold on
xlabel('x','FontSize',14)
ylabel('f(x)','FontSize',14)
title('Normal PDF','FontSize',12)
axis square

subplot(1,2,2)
cdf = normcdf(x,mu,sigma);
plot(x,cdf,'b-','Linewidth',2.0)
hold on
xlabel('x','FontSize',14)
ylabel('F(x)','FontSize',14)
title('Normal CDF','FontSize',12)
axis square