% m-file uniformcont
% program to generate continuous uniform pdf and cdf distributions

b = 2;
a = 0;
x = a:0.001:b; % Outcomes
y = unifpdf(x,a,b); % Probability density vector
subplot(1,2,1)
plot(x,y,'b-','Linewidth',2.0) % Visualize the probability distribution

hold on
xlabel('x','FontSize',14)
ylabel('f(x)','FontSize',14)
title('Uniform PDF','FontSize',12)
axis square

subplot(1,2,2)
cdf = unifcdf(x,a,b);
plot(x,cdf,'b-','Linewidth',2.0)
hold on
xlabel('x','FontSize',14)
ylabel('F(x)','FontSize',14)
title('Uniform CDF','FontSize',12)
axis square