% m-file uniformdisc
% program to generate discrete uniform pmf and cdf distributions

n = 10;
x = 1:10;
y = unidpdf(x,n);
subplot(1,2,1)
set(gca,'xlim',[0 (length(y)+1)])
hold on
bar(x,y,0.3);
xlabel('x','FontSize',14)
ylabel('p(x)','FontSize',14)
title('Uniform PMF','FontSize',12)
axis square
subplot(1,2,2)
p = unidcdf(x,n);
set(gca,'xlim',[0 (length(y)+1)])
hold on
bar(x,p,0.3);
xlabel('x','FontSize',14)
ylabel('F(x)','FontSize',14)
title('Uniform CDF','FontSize',12)
axis square
