% m-file growth2n
% program to solve growth equations
T0=[0.02418 0.0 0.02418]';
tspan=[0 850];

   sol = ode45(@growthn,tspan,T0);
   x = linspace(0, 600,100);
   y1n = deval(sol,x,1);
   y2n = deval(sol,x,2);
   
plot(x,y1n)
hold on
plot(x,y2n,'r')

legend('Generative Mass','Differentiated Mass',...
       'Location','East')
xlabel('Days')
ylabel('Body Weight, g')
% Save variable y1n from the workspace to test.mat:
save C:\MATLAB\testn y1n