% function resp3
% called by resp4
% model of inhalation dose 
function Up=resp3(~,U)
Y=3.0;      %Exposure concentration,mg/m^3)
Vt=22;      %Tidal volume, ml/breath
f=8.;		%Breathing frequency, breaths/minute
c=.01;      %Elimination rate constant, 1/min
Up=(1e-6)*Y*Vt*f - c*U;