%function skin3
%model of skin absorption using Fick's Law.
function qp=skin3(~,q)
k1=0.40;
k2=0.05;
dq1dt=-k1*(q(1)-q(2));  %skin surface concentration d.e.
dq2dt=k1*(q(1)-q(2)) - k2*q(2); %percutaneous concentration d.e.
qp=[dq1dt;dq2dt];


