%m-file cesiumsolver
x0=[1.0 0.00 0.00 0.00 0.00]';      %vector of initial conditions
tspan=(0:.1:30);
%t=0:1:400;
[t,x]=ode45(@cesiumV,tspan,x0);    %differential equation solver

plot(t,x(:,1),'r');
hold on;
%grid;
plot(t,x(:,3),'k');
plot(t,x(:,4),'m');
plot(t,x(:,5),'b');
xlabel('Time(days)');
ylabel('y_j = x_j/X');
title('Radiocesium in microcosms')
% Create textarrow
annotation('textarrow',[0.320564516129032 0.283266129032258],...
    [0.694833333333333 0.654166666666667],'TextEdgeColor','none',...
    'FontWeight','demi',...
    'String',{'LITTER (y_1)'});
% Create textarrow
annotation('textarrow',[0.481854838709677 0.505040322580645],...
    [0.390666666666667 0.327083333333333],'TextEdgeColor','none',...
    'FontWeight','demi',...
    'String',{'LEACHATE (y_5)'});
% Create textarrow
annotation('textarrow',[0.522292993630573 0.490445859872611],...
    [0.251083333333333 0.208333333333333],'TextEdgeColor','none',...
    'FontWeight','demi',...
    'String',{'MICROFLORA (y_3)'});
% Create textarrow
annotation('textarrow',[0.608917197452229 0.645859872611465],...
    [0.152083333333333 0.184416666666667],'TextEdgeColor','none',...
    'FontWeight','demi',...
    'String',{'MILLIPEDES (y_4)'});
%legend1 = legend({'litter','microflora','millipedes','leachate'},...
%          'Position',[0.5901 0.5647 0.1607 0.1889]);