%m-file sensitivity
%program to estimate sensitivity to model parameters
load C:\MATLAB\testa y1a
load C:\MATLAB\testn y1n
 
Gn = y1n;
Ga = y1a;
k1=0.5077; k2=0.1154; k3=0.0089;
Go=0.02418;         %initial generative mass of the zygote
Ge=4096*Go; De=53190*Go;
b=0.8335;
n=0.5;
 
Gea = 1.1*Ge;
ba = 1.1*b;
S1 = ((Ga-Gn)./Gn)./((Gea-Ge)./Ge); %sensitivity to Ge
S2 = ((Ga-Gn)./Gn)./((ba-b)./b);     %sensitivity to b
n1 = (Ga-Gn)./Gn;
d1 = (Gea-Ge)/Ge
d2 = (ba-b)/b
plot(S1,'b')
xlabel('Days')
ylabel('Sensitivity')
hold on
plot(S2,'r-')

%figure
%plot(Gn)
%hold on
%plot(Ga)
%figure
%plot((Ga-Gn)./Gn)