%m-file regress2
%Program to regress predicted values of deer kill on observed values;
obs = [218 206 139 127 113 76 56 58 47 33]';
pred = [241 196 134 137 74 78 59 55 59 51]';
plot(obs,pred,'ro')
axis([0 250 0 250])
xlabel ('Observed Deer Kill')
ylabel ('Predicted Deer Kill')
[b,bint,r,rint,stats] = regress(pred,obs,.05)

newx = 0:1:250;
yhat = b*newx;
figure
plot(obs,pred,'ro')
hold on
axis([0 250 0 250])
axis square
plot(newx,yhat)
xlabel ('Observed Deer Kill')
ylabel ('Predicted Deer Kill')
hold off