% m-file binomial
% program to compare binomial pdf with experimental data

x = [0 1 2 3 4 5 6];            % classes of number of granules
y1 = binopdf(x,25,.018);        % generate binomial pdf
y1 = y1';                       % transpose y1
y2 = [.60 .18 .10 .08 .03 .02 .01]; % data from Fisher and Best
y2 = y2';                       % transpose y2
y = [y1 y2];                    % form matrix of column vectors,
                                % y1 and y2
figure
bar(x,y)                        % generate bar graph
xlabel('Number of Granules in Gizzard')
ylabel('Proportion of Birds')
legend1 = legend({'predicted','observed'},...
          'Position',[0.5901 0.5647 0.1607 0.1889]);
