%m-file mortalityanova
%Analysis of Variance of difference in mortality among bird species
%column 1 is pheasant, column 2 bobwhite, column 3 is red-wing,
%column 4 is sparrow
%rows are replicates
Species = [1; 2; 3; 4];
X = [17 23 26 27
     24 29 32 31
     22 25 21 33
     23 31 23 39
     25 22 37 33];

 pheasant = X(:,1);
 bobwhite = X(:,2);
 redwing = X(:,3);
 sparrow = X(:,4);
 GROUP = {'Pheasant','Bobwhite','Red-wing','Sparrow'};
 
 [p,tbl,stats] = anova1(X,GROUP)
%[p,stats] = anova1(X,GROUP)
 ylabel ('Mortality Percentage')
 c = multcompare(stats)