%m-file sensitivity
%program to estimate sensitivity to model parameters
%saved using
% Save all variables from the workspace to testa.mat:
%save C:\MATLAB\testa
close all

load C:\MATLAB\testa
load C:\MATLAB\testn
 
PB = 235.5;
PBa = 1.5*PB;

%sensitivity to 
%S = ((MNAMTALa-MNAMTALn)./MNAMTALn)./((PBa-PB)./PB);
SAL = ((MNAMTALa-MNAMTALn)./MNAMTALn)./((PBa-PB)./PB);
SAR = ((MNAMTARa-MNAMTARn)./MNAMTARn)./((PBa-PB)./PB);
SLU = ((MNAMTLUa-MNAMTLUn)./MNAMTLUn)./((PBa-PB)./PB);
SV = ((MNAMTVa-MNAMTVn)./MNAMTVn)./((PBa-PB)./PB);
SLI = ((MNAMTLIa-MNAMTLIn)./MNAMTLIn)./((PBa-PB)./PB);
SK = ((MNAMTKa-MNAMTKn)./MNAMTKn)./((PBa-PB)./PB);
SF = ((MNAMTFa-MNAMTFn)./MNAMTFn)./((PBa-PB)./PB);
SO = ((MNAMTOa-MNAMTOn)./MNAMTOn)./((PBa-PB)./PB);
SS = ((MNAMTSa-MNAMTSn)./MNAMTSn)./((PBa-PB)./PB);
plot(SAL)
figure
plot(SAR)
figure
plot(SLU)
figure
plot(SV)
figure
plot(SLI)
figure
plot(SK)
figure
plot(SF)
figure
plot(SO)
figure
plot(SS)
xlabel('Minutes')
ylabel('Sensitivity')
hold on
