%m-file sensitivity
%program to estimate sensitivity to model parameters
%saved using
% Save all variables from the workspace to testa.mat:
%save C:\MATLAB\testa

load C:\MATLAB\testa
load C:\MATLAB\testn
 
BW = 200;
BWa = 1.5*BW;
HR = 90;
HRa = 1.5*HR;
prob = 0.29;
proba = 0.262;

%sensitivity to 
%S = ((MNAMTALa-MNAMTALn)./MNAMTALn)./((BWa-BW)./BW);
SAL = ((MNAMTALa-MNAMTALn)./MNAMTALn)./((HRa-HR)./HR);
SAR = ((MNAMTARa-MNAMTARn)./MNAMTARn)./((HRa-HR)./HR);
SLU = ((MNAMTLUa-MNAMTLUn)./MNAMTLUn)./((HRa-HR)./HR);
SV = ((MNAMTVa-MNAMTVn)./MNAMTVn)./((HRa-HR)./HR);

plot(SAL)
figure
plot(SAR)
figure
plot(SLU)
figure
plot(SV)
xlabel('Days')
ylabel('Sensitivity')
hold on
