%Data are Ymax and temperature;
Ymax = [3956.2 4456.5 6993.5]';
temp2 = [15 20 25]';
temp = 15:0.1:25;
a = 15;
b = 25;
c = 20;
plot(temp2,Ymax,'k.','MarkerSize',25)
hold on
xlabel ('Temperature ^{\o}C','fontsize',14)
ylabel ('Maximum Concentration, P1*','fontsize',14)
axis([15 25 3500 7000])
axis square

p1( temp <= c ) = 2454.8 + 100.1*temp( temp <= c );
p1( temp > c ) = -5691.4 + 507.4*temp( temp > c );

plot(temp,p1,'k-','LineWidth',2)