%uptake parameters - hourly time step
b5 = 5860.0 ;  %max level
b4 = 124.34;  %min level
b2 = 0.1120;  % uptake rate constant - hour^-1

%elimination parameters - daily time step
b0 = 9638.4;  %max level
b1 = 864.26;  %min level
b3 = 0.4679/24;  %elimination rate constant - day^-1

t=0:0.5:100;
gross = (b5-b4)*(1-exp(-b2*t)) + b4 + (b0-b1)*exp(-b3*t) + b1;
plot(t,gross)