%m-file mercury_dynamics2
%program to simulate temperature effects
%global temp

%y0=2775.50;     %equilibrium concentration at 15 degrees
y0=3852.60;     %equilibrium concentration at 20 degrees
tspan=0.0:0.1: 50.0;
[t,y]=ode45('mercury_dynamics3',tspan,y0);
plot(t,y,'k--','LineWidth',2);
xlabel ('Time (hours)','fontsize',12);
ylabel('Mercury Concentration in Zooplankton, \mug/kg','fontsize',12);
title('Low Surface Cooling, 20^{\o}C Ambient Water Temperature')
grid on
hold on
%axis([0 100 0 7000])

%DeltaThat39 = 11.4388*exp(-1.1877*t.^0.7346);
%DeltaThat18 = 11.4387*exp(-0.6730*t.^0.7345);
%temp = 15 + DeltaThat18;
%figure
%plot(t,temp)
