% m-file expplot
% program to plot solution to exponential decay function
% and its derivative

t=(0:.01:60);
p5=100.;
p4=0.0;
p2=0.1;
y = (p5-p4)*exp(-p2*t)+p4;
subplot(2,1,1)
plot(t,y,'k-','LineWidth',2)
xlabel('t','fontsize',14)
ylabel('y','fontsize',14)
%axis('fontsize',14)
grid on
% exponential rate function
exprate = -p2*(y-p4);
%figure
subplot(2,1,2)
plot(t,exprate,'k','LineWidth',2)
xlabel('t','fontsize',14)
ylabel('dy/dt','fontsize',14)
grid on
% Create textbox
annotation('textbox',...
    [0.145614035087719 0.90848275862069 0.0789473684210526 0.0797413793103448],...
    'String',{'a'},...
    'FontSize',16,...
    'LineStyle','none');
% Create textbox
annotation('textbox',...
    [0.152631578947368 0.432189655172414 0.0789473684210526 0.0797413793103448],...
    'String',{'b'},...
    'FontSize',16,...
    'LineStyle','none');