% m-file beta
% program to generate beta pdf and cdf distributions
a = 3.0;
b = 2.0;
%b = 4.0;
x = 0:0.001:1; % Outcomes
y = betapdf(x,a,b); % Probability density vector
subplot(1,2,1)
plot(x,y,'b-','Linewidth',2.0) % Visualize the probability distribution

hold on
xlabel('x','FontSize',14)
ylabel('f(x)','FontSize',14)
title('Beta PDF','FontSize',12)
axis square
%figure
subplot(1,2,2)
%hold off
cdf = betacdf(x,a,b);
plot(x,cdf,'b-','Linewidth',2.0)
hold on
xlabel('x','FontSize',14)
ylabel('F(x)','FontSize',14)
title('Beta CDF','FontSize',12)
axis square