% m-file exponential
% program to generate exponential pdf and cdf distributions

beta = 2; % Failure rate
%beta = 3;
t = 0:0.01:3; % Outcomes
f = exppdf(t,1/beta); % Probability density vector
subplot(1,2,1)
plot(t,f,'k--','Linewidth',2.0) % Visualize the probability distribution

hold on
xlabel('x','FontSize',14)
ylabel('f(x)','FontSize',14)
title('Exponential PDF','FontSize',12)
axis square
%figure
subplot(1,2,2)
%hold off
cdf = expcdf(t,1/beta);
plot(t,cdf,'k--','Linewidth',2.0)
hold on
xlabel('x','FontSize',14)
ylabel('F(x)','FontSize',14)
title('Exponential CDF','FontSize',12)
axis square