% m-file gamma
% program to generate gamma pdf and cdf distributions
b = 2;
%a = 2;
a = 4;
x = 0:0.001:20; % Outcomes
y = gampdf(x,a,b); % Probability density vector
subplot(1,2,1)
plot(x,y,'b--','Linewidth',2.0) % Visualize the probability distribution

hold on
xlabel('x','FontSize',14)
ylabel('f(x)','FontSize',14)
title('Gamma PDF','FontSize',12)
axis square
%figure
subplot(1,2,2)
%hold off
cdf = gamcdf(x,a,b);
plot(x,cdf,'b--','Linewidth',2.0)
hold on
xlabel('x','FontSize',14)
ylabel('F(x)','FontSize',14)
title('Gamma CDF','FontSize',12)
axis square