%m-file logistic
%%plots logistic equation and derivative Figure 4.13

p1 = 1.0;
p2 = 10.0;
p3 = 3.0;
x = 0:0.001:20; % Outcomes
b = 2.2./(p3*p1);
cdf = 1./(1+exp((2.2/p3)*(p2-x)));
ydot=b*cdf.*(p1-cdf);
%y = (1/p3)*(2.2*x.*-x.^2);
%betapdf(x,a,b); % Probability density vector
subplot(1,2,1)
plot(x,ydot,'b-','Linewidth',2.0) % Visualize the probability distribution

hold on
xlabel('x','FontSize',14)
ylabel('f(x)','FontSize',14)
title('Logistic PDF','FontSize',12)
axis square
%figure
subplot(1,2,2)
%hold off
%cdf = betacdf(x,a,b);

plot(x,cdf,'b-','Linewidth',2.0)
hold on
xlabel('x','FontSize',14)
ylabel('F(x)','FontSize',14)
title('Logistic CDF','FontSize',12)
axis square