%m-file weibullinvcdf
%program to obtain the random samples from the inverse normal cdf
%generate 1000 random variates, plot a histogram, and overlay the pdfs

b = 1.5;
a = 1.5;
xp2 = wblinv(rand(1000,1),a,b);
numbins = 50;
%subplot(1,2,1)
hist(xp2,numbins)
set(get(gca,'Children'),'FaceColor',[.8 .8 1])
hold on
[bincounts,binpositions] = hist(xp2,numbins);
binwidth = binpositions(2) - binpositions(1);
histarea = binwidth*sum(bincounts);
x = binpositions(1):0.001:binpositions(end);
y = wblpdf(x,a,b);
plot(x,histarea*y,'r','LineWidth',2)
xlabel('Parameter Value')
ylabel('Number of Parameter Estimates')