% m-file growth2
% program to solve growth equations in function growth
T0=[0.02418 0.0 0.02418]';
tspan=[0 850];

[t,Tn]=ode23('growth',tspan,T0);
plot(t,Tn);
legend('Generative Mass','Differentiated Mass',...
       'Total Mass','Location','East')
xlabel('Days')
ylabel('Body Weight, g')