% m-file growth2a
% program to solve adjusted growth equations
T0=[0.02418 0.0 0.02418]';
tspan=[0 850];

   sol = ode45(@growtha,tspan,T0);
   x = linspace(0, 600,100);
   y1a = deval(sol,x,1);
   y2a = deval(sol,x,2);
      
plot(x,y1a)
hold on
plot(x,y2a,'r')

legend('Generative Mass','Differentiated Mass',...
       'Location','East')
xlabel('Days')
ylabel('Body Weight, g')
% Save variable y1a from the workspace to testa.mat:
save C:\MATLAB\testa y1a