% function inhaletest2
% called by m-file inhaletest3
% inhalation dose model with varying breathing frequencies
function Up=inhaletest2(t,U)
Y=3.0;      %Exposure concentration,mg/m^3)
Vt=10;      %Tidal volume, l/breath

if ((1<=t && t<=10) || (16<=t && t<=20) || (21<=t && t<=30)) || (t>76 && t<97) || t>100;
     f = 8;         %Breathing frequency, breaths/minute
else
     f = 0;
end

c=.01;      %Elimination rate constant, 1/min
Up=(1e-3)*Y*Vt*f - c*U;