% m-file parametersP2andP3
% program to plot parameter P3 over parameter P2
[ndata,text]=xlsread('c:\MATLAB\Parameters.xls','sheet2','D1:E24');
P2=ndata(:,1);
P3=ndata(:,2);
x = 0:0.1:90;
y = 0:0.1:90;
plot(P2,P3,'o')
hold on
xlabel('P_2')
ylabel('P_3')
axis([0 90 0 90])
axis square
plot(x,y)
[B,BINT,R,RINT,STATS] = REGRESS(P3,P2,.05)
yhat = B*x;
plot(x,yhat,'b--')