% m-file chaos
% Verhulst discrete population model
tic
N = 0.1;
%N = zeros(1, 31);
%a = 3.60;
a = 3.7;
%a=4.0;
r = 2.8;
K = 10.;
xmax = 30;
x =1:1:xmax+1;

for t = 1:xmax
   %N(t+1) = a*(N(t) - N(t).^2);
   N(t+1) = N(t).*(1+r*(1-N(t)./K));
end

plot(x,N)
hold on
axis([0,xmax,0,14])
xlabel('Time (years)')
ylabel('Population Size')
toc