%m-file Hall_et_al
%program to plot striped bass egg mortality experimental design

dBB = [-1	-1	 0
        0	-1	-1
        0	-1	 0
       +1	-1	+1
       -1	 0	 0
       -1	 0	+1
        0	 0	-1
        0	 0	 0
        0	 0	 0
        0	 0	 0
        0	 0	+1
       +1	 0	-1
       +1	 0	 0
       -1	+1	-1
        0	+1	 0
        0	+1	+1
       +1	+1	 0];
     
plot3(dBB(:,1),dBB(:,2),dBB(:,3),'ko',...
         'MarkerFaceColor','k')
X = [1 -1 -1 -1 1 -1 -1 -1 1 1 -1 -1; ...
     1 1 1 -1 1 1 1 -1 1 1 -1 -1];
Y = [-1 -1 1 -1 -1 -1 1 -1 1 -1 1 -1; ...
     1 -1 1 1 1 -1 1 1 1 -1 1 -1];
Z = [1 1 1 1 -1 -1 -1 -1 -1 -1 -1 -1; ...
     1 1 1 1 -1 -1 -1 -1 1 1 1 1];
X1 = [1 -1];Y1 = [0 0];Z1 = [0 0];
X2 = [0 0];Y2 = [-1 1];Z2 = [0 0];
X3 = [0 0];Y3 = [0 0];Z3 = [-1 1];
line(X,Y,Z,'Color','k','LineWidth',2)
line(X1,Y1,Z1,'Color','k','LineWidth',2)
line(X2,Y2,Z2,'Color','k','LineWidth',2)
line(X3,Y3,Z3,'Color','k','LineWidth',2)
axis square equal
xlabel('x{_1}','fontsize',14)
ylabel('x{_2}','fontsize',14)
zlabel('x{_3}','fontsize',14)