%m-file transient
%program to plot an example of a transient response

n=100;
t=[0:1:n];
Y = [];

R = 1.0 - 1.00*(exp(-0.05*t)).*cos(0.30*t);
x = [0 100];
y = [1 1];
plot(t,R)
line(x,y,'Color','r')
hold on
axis([0 100 0 2])
title('Transient Response')
xlabel('Time')
ylabel('System Output')